body {
    font-family: system-ui, -apple-system, Roboto, "Segoe UI", sans-serif;
}

.post {
    max-width: 72em;
}

pre {
    overflow-x: scroll;
    background-color: #eee;
    border: 1px solid #3a3a3a;
    padding: 0.5em;
    line-height: 1.4em;
}

.diff0 {
    color: #990000;
}

.diff1 {
    color: #009900;
}

.dark {
    display: none;
}

img.profile {
    width: 10em;
    float: left;
    padding: 1em;
}

h2 {
    padding: 0;
    margin: 0;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0.5em;
}

li {
    margin: 0;
    padding: 0.1em;
}

.thumbnail {
    float: left;
    clear: both;
    margin: 0 1em 2em 0;
    padding: 0;
}

.jam {
    clear: both;
}

.popular {
    background-color: #e66c00;
    color: white;
    border-radius: 1em;
    padding: 0.2em;
}

@media (prefers-color-scheme: dark) {
    body {
        background-color: black;
        color: white;
    }

    a {
        color: #89a6ff;
    }

    a:visited {
        color: #f690ff;
    }

    pre {
        background-color: #1e1e1e;
        border: 1px solid gray;
    }

    code {
        background-color: #1e1e1e;
    }

    .diff0 {
        color: #ff613c;
    }

    .diff1 {
        color: #41ce41;
    }

    img.bright {
        background-color: white;
        border: 4px solid #3c3c3c;
    }

    .dark {
        display: unset;
    }

    .light {
        display: none;
    }
}
